> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stock Fund Holdings

> Retrieve institutional fund holdings for a specified stock, based on the latest SEC 13F filings. The endpoint returns top holders with their current market value, share count, quarterly change, and estimated capital flow. This allows users to identify leading institutional investors, track changes in ownership, and analyze fund activity trends such as increases or reductions in positions.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/holdings/stocks/funds
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/holdings/stocks/funds:
    post:
      tags:
        - Fund Holdings
      summary: Stock Fund Holdings
      description: >-
        Retrieve institutional fund holdings for a specified stock, based on the
        latest SEC 13F filings. The endpoint returns top holders with their
        current market value, share count, quarterly change, and estimated
        capital flow. This allows users to identify leading institutional
        investors, track changes in ownership, and analyze fund activity trends
        such as increases or reductions in positions.
      operationId: Stock_Funds_Holdings_v1_holdings_stocks_funds_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicGetCompanyFundsHoldingsQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetCompanyFundsHoldingsResponse'
components:
  schemas:
    PublicGetCompanyFundsHoldingsQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/SingleIdentifier'
          description: >-
            Object specifying which identifier you are using to request the
            company profile. You must supply one type and its corresponding
            value.
        filters:
          anyOf:
            - $ref: '#/components/schemas/CompanyFundsHoldingsFilters'
            - type: 'null'
          description: Object specifying the filters to apply to the request.
          examples:
            - quarter: 2
              year: 2023
      type: object
      required:
        - identifier
      title: PublicGetCompanyFundsHoldingsQuery
      description: Schema for the request to the public API.
    PublicGetCompanyFundsHoldingsResponse:
      properties:
        results:
          anyOf:
            - $ref: '#/components/schemas/CompanyFundHoldingsResults'
            - $ref: '#/components/schemas/EmptyResponse'
          title: Results
        metadata:
          anyOf:
            - $ref: '#/components/schemas/PublicCompanyFundsHoldingsRequestMetadata'
            - type: 'null'
      type: object
      required:
        - results
      title: PublicGetCompanyFundsHoldingsResponse
    SingleIdentifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            Object specifying which identifier you are using to request the
            intraday price. You must supply one type and its corresponding
            value. Only one identifier should be provided per request.
          examples:
            - rp_entity_id
        value:
          type: string
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: SingleIdentifier
    CompanyFundsHoldingsFilters:
      properties:
        year:
          type: integer
          title: Year
          description: Fiscal year for the holdings data
          examples:
            - 2025
        quarter:
          $ref: '#/components/schemas/Quarters'
          description: Fiscal quarter for the holdings data
      type: object
      title: CompanyFundsHoldingsFilters
      description: Extended filters for stock funds holdings.
    CompanyFundHoldingsResults:
      properties:
        funds:
          anyOf:
            - items:
                $ref: '#/components/schemas/CompanyFundHoldingsRow'
              type: array
            - type: 'null'
          title: Funds
          description: List of company fund holdings.
      type: object
      required:
        - funds
      title: CompanyFundHoldingsResults
    EmptyResponse:
      properties: {}
      type: object
      title: EmptyResponse
    PublicCompanyFundsHoldingsRequestMetadata:
      properties:
        request_id:
          type: string
          title: Request Id
          examples:
            - 123e4567-e89b-12d3-a456-426614174000
        timestamp:
          type: string
          title: Timestamp
          examples:
            - '2025-09-08T10:52:33.453834+00:00'
        rp_entity_id:
          anyOf:
            - type: string
              maxLength: 6
              minLength: 6
              description: >-
                Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
                uniquely reference entities such as companies. This identifier
                is a 6-character alphanumeric code (letters and numbers only).
                Example: Alphabet Inc. (`4A6F00`)
              examples:
                - 4A6F00
            - type: 'null'
          title: Rp Entity Id
          examples:
            - D8442A
        stock_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Stock Name
          examples:
            - Apple
        year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Year
          examples:
            - 2025
        quarter:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quarter
          examples:
            - 1
      type: object
      required:
        - request_id
      title: PublicCompanyFundsHoldingsRequestMetadata
      description: Metadata for the request. Includes the backend request.
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
    Quarters:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      title: Quarters
      description: Enum for quarters values.
    CompanyFundHoldingsRow:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
              maxLength: 6
              minLength: 6
              description: >-
                Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
                uniquely reference entities such as companies. This identifier
                is a 6-character alphanumeric code (letters and numbers only).
                Example: Alphabet Inc. (`4A6F00`)
              examples:
                - 4A6F00
            - type: 'null'
          title: Rp Entity Id
          description: The RavenPack entity ID of the holding.
          examples:
            - HJ95FV
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: The name of the holding.
          examples:
            - Blackrock
        rank:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rank
          description: The rank of the holding in the portfolio.
          examples:
            - 1
        market_value:
          anyOf:
            - type: integer
            - type: 'null'
          title: Market Value
          description: The market value of the holding.
          examples:
            - 253273263449
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: The status of the holding (e.g., increased, decreased).
          examples:
            - increased
        shares:
          anyOf:
            - type: integer
            - type: 'null'
          title: Shares
          description: The number of shares held.
          examples:
            - 1140202870
        shares_last:
          anyOf:
            - type: integer
            - type: 'null'
          title: Shares Last
          description: The number of shares held in the last reporting period.
          examples:
            - 1123417607
        shares_change:
          anyOf:
            - type: integer
            - type: 'null'
          title: Shares Change
          description: >-
            The change in the number of shares held since the last reporting
            period.
          examples:
            - 16785263
        shares_change_percent:
          anyOf:
            - type: number
            - type: 'null'
          title: Shares Change Percent
          description: >-
            The percentage change in the number of shares held since the last
            reporting period.
          examples:
            - 1.49
        capital_flow:
          anyOf:
            - type: integer
            - type: 'null'
          title: Capital Flow
          description: The capital flow associated with the holding.
          examples:
            - 3728510470
      type: object
      required:
        - rp_entity_id
        - name
        - rank
        - market_value
        - status
        - shares
        - shares_last
        - shares_change
        - shares_change_percent
        - capital_flow
      title: CompanyFundHoldingsRow
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````